


source("C:/Users/tinhv/Dropbox/PhD/Paper3_GlobalAnalysis/P3_Analysis/_RCoding/_supportFuncs/_callData.R")


#+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++#
#+                        Reclassify landcover 
#+                        #added on 01.04.2023
#+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++#
#extract LC in timeseires before calculate pre/post changes
source(paste0(path,"/_supportFuncs/Func02_ExtrVariables.R"))

#get inTiff files from Jens
inTiff_dir <- paste0(GlobalDATA, "/Landcover/inNCfiles_reclassify")
tif_dirs <- list.dirs(inTiff_dir, recursive = F, full.names = TRUE)
tif_files <- list.files(tif_dirs, pattern = ".tif", full.names = T)

year_lst <- seq(1960, 2010) #Set 5

for(y in year_lst){
  res <-  precookLC(gsim_lst = gsimFull$gsim.no,
                    year_lst = y,
                    tif_files,
                    RDATADIR)

  out_file_dir <- paste0(GlobalDATA, "/Landcover/outTiffs_reclassify")
  if(!file.exists(out_file_dir)) dir.create(out_file_dir)
  
  write.table(res,
              file = paste0(out_file_dir, "/", y, ".Tiffres"), row.names = FALSE, sep = ",")
  
}

#process climate zone
# kgz <- "D:/03. Work/00. PhD/00. Database/GlobalAnalysis/Koppen_Geiger ClimateZones.shp/Shapefiles/world_climates_completed_koppen_geiger.shp"
















