

#Author: Tinh Vu (tvu@hydrology.uni-kiel.de)

#+++++++++++++++++++ THIS IS TO PREPARE WHOLE GSIM INFOR FOR CALCULATION +++++++++++++++++++++++++++

source("C:/Users/tinhv/Dropbox/PhD/Paper3_GlobalAnalysis/P3_Analysis/_RCoding/_supportFuncs/_callPath.R")

###============================================================#
###===== 1) Pre-cook infor (the basin shp and its list) - DONE ----
###============================================================#
# wget http://biogeo.ucdavis.edu/data/worldclim/v2.0/tif/base/wc2.0_30s_bio.zip
# http://chelsa-climate.org/downloads/
# wget https://www.envidat.ch/uploads/chelsa/bioclim/float/CHELSA_bio_12_land.7z
# 7za e CHELSA_bio_12_land.7z
### Prepare the basin shapes --> do once and save as Rdata to speed up calculations
# --> see the zipped .Rdata files, no need to run this again

# ###--- Start foreach ----1
#results <- foreach(i=gsim_lst, .errorhandling = "stop", .packages = c("raster"), .verbose=F) %dopar% {
#  cat("Running basin", match(i,gsim_lst), "\n")
# tmp_shp <- shapefile(paste0(SHAPEDIR, "/", i))
# save(tmp_shp, file=paste0(RDATADIR, "/",  gsub(".shp", "",i), ".RData"))
# }

### CONVERT an_0001 to AN_0001 and creat the .Rdata files
#RDATADIRo <- paste0(file_path,"/GSIM_metadata/GSIM_catchments_RData_Sami")
#Rdata.files <- list.files(RDATADIRo,pattern = '.RData',full.names = TRUE)

#z <- list()
#for (t in Rdata.files) {
#extract the name of Rfile
#  i <- strsplit(basename(t), "\\.")[[1]][1]  #get the full basename
#  lt <- strsplit(i, "\\_")[[1]][1]    #get only the letter
#  lt_up <- toupper(lt)  # Convert an_0001 to AN_0001

#  inew <- paste(lt_up,strsplit(i, "\\_")[[1]][2],sep = "_")
#  z[[t]] <- inew

#get the full Rdata --> write to new name
#  load(paste0(RDATADIRo, "/",  gsub(".shp", "",i), ".RData"))
#  save(tmp_shp, file=paste0(RDATADIR, "/",  gsub(".shp", "",inew), ".RData"))
#}

#Rdata_lst <- do.call(rbind,z)
#write.table(Rdata_lst,paste0(path,"/Rdata_lst.txt"),row.names = FALSE,col.names = F)

# Rdata_lst <- read.table(paste0(path,"/Rdata_lst.txt"),header = TRUE,sep = ",")
Rdata_lst <- Rdata_lst$gsim.no

#Get the basins which has no shapefile
noRdata_files <- setdiff(gsim$gsim.no,Rdata_lst) 
writeLines(noRdata_files,paste0(path,"/noRdata.lst"))
